%define name		vo-aacenc
%define major		0
%define libname		%mklibname %name %major
%define develname	%mklibname %name -d
%define snapshot	20141107

Name:		%name
Version:	0.1.3
Release:	%mkrel 11
Summary:	VisualOn AAC encoder library
License:	ASL 2.0
Group:		System/Libraries
URL:		https://opencore-amr.sourceforge.net/
Source0:	%{name}-%{snapshot}.tar.gz
#Source0:	https://sourceforge.net/projects/opencore-amr/files/%{name}/%{name}-%{version}.tar.gz

%description
This library contains an encoder implementation of the Advanced Audio
Coding (AAC) audio codec. The library is based on a codec implementation
by VisualOn as part of the Stagefright framework from the Google
Android project.

This package is in the 'tainted' section because the AAC encoding
standard is covered by patents.

%package -n %{libname}
Group:		System/Libraries
Summary:	VisualOn AAC encoder library

%description -n %{libname}
This library contains an encoder implementation of the Advanced Audio
Coding (AAC) audio codec. The library is based on a codec implementation
by VisualOn as part of the Stagefright framework from the Google
Android project.

This package is in the 'tainted' section because the AAC encoding
standard is covered by patents.

%package -n %{develname}
Group:		Development/C
Summary:	development files for %{name} AAC encoding library
Provides:	libvo-aacenc-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
Header files and development libraries for %{name}.

%prep
%setup -q -n %{name}-%{snapshot}

%build
autoreconf -fi
%configure \
  --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Thu Jul 03 2025 umeabot <umeabot> 0.1.3-11.mga10
+ Revision: 2244364
- Mageia 10 Mass Rebuild

* Thu Apr 14 2022 umeabot <umeabot> 0.1.3-10.mga9.tainted
+ Revision: 1849721
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 21 2020 umeabot <umeabot> 0.1.3-9.mga8.tainted
+ Revision: 1548892
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Sep 21 2018 umeabot <umeabot> 0.1.3-8.mga7.tainted
+ Revision: 1291991
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 wally <wally> 0.1.3-7.mga7.tainted
+ Revision: 1260094
- disable static build and drop .la files

* Wed Feb 24 2016 daviddavid <daviddavid> 0.1.3-6.mga6.tainted
+ Revision: 977930
- rebuild for Mageia 6

* Mon Jun 29 2015 cjw <cjw> 0.1.3-5.mga6.tainted
+ Revision: 847816
- 0.1.3 + latest snapshot

* Wed Oct 15 2014 umeabot <umeabot> 0.1.2-5.mga5.tainted
+ Revision: 745940
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.2-4.mga5.tainted
+ Revision: 690232
- Mageia 5 Mass Rebuild

* Thu Oct 31 2013 tmb <tmb> 0.1.2-3.mga4.tainted
+ Revision: 548278
- Mageia 4 rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.1.2-2.mga3.tainted
+ Revision: 385458
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 15 2012 cjw <cjw> 0.1.2-1.mga3.tainted
+ Revision: 270990
- new version 0.1.2

* Thu May 26 2011 cjw <cjw> 0.1.1-2.mga2.tainted
+ Revision: 100421
- add library dependency on devel package

* Tue May 10 2011 cjw <cjw> 0.1.1-1.mga1
+ Revision: 96794
- add 'tainted' notice
- imported package vo-aacenc

